---
updatedAt: 2026-07-24T11:58:53.000Z
agentTools:
  projectIndex: https://docs.checkhq.com/llms.txt
---

# Get payroll journal

Returns the specified payroll journal.

Returns a detailed payroll journal for a company within a given date range, including per-payroll summaries and per-employee breakdowns of earnings, taxes, benefits, and deductions.

### Response Columns/Fields

**Payroll-Level Fields**

| Field           | Description                                           |
| :-------------- | :---------------------------------------------------- |
| payroll         | The public ID of the payroll                          |
| company         | The public ID of the company                          |
| payday          | The date employees are paid                           |
| period\_start   | The start date of the pay period                      |
| period\_end     | The end date of the pay period                        |
| payment\_method | How employees are paid (`Direct Deposit` or `Manual`) |

**Summary Totals** (available at both payroll and employee level)

| Field                    | Description                                     |
| :----------------------- | :---------------------------------------------- |
| employee\_gross          | Total gross earnings for employees              |
| employee\_reimbursements | Total reimbursements paid to employees          |
| employee\_net            | Total net pay to employees after all deductions |
| company\_taxes           | Total employer-paid taxes                       |
| employee\_taxes          | Total employee-paid taxes withheld              |
| company\_benefits        | Total employer-paid benefit contributions       |
| employee\_benefits       | Total employee-paid benefit deductions          |
| post\_tax\_deductions    | Total post-tax deductions from employee pay     |

**Earning Totals**

| Field        | Description                                          |
| :----------- | :--------------------------------------------------- |
| type         | The earning type (e.g., `hourly`, `salary`, `bonus`) |
| amount       | The total amount for this earning type               |
| hours        | Hours worked (for hourly earnings)                   |
| piece\_units | Piece units (for piece-rate earnings)                |

**Tax Details** (employee\_taxes and company\_taxes arrays)

| Field       | Description                     |
| :---------- | :------------------------------ |
| id          | The public ID of the tax        |
| description | The name/description of the tax |
| amount      | The tax amount                  |

**Benefit Details** (employee\_benefits and company\_benefits arrays)

| Field       | Description                                    |
| :---------- | :--------------------------------------------- |
| type        | The benefit type (e.g., `125_medical`, `401k`) |
| description | The name/description of the benefit            |
| amount      | The benefit amount                             |

**Post-Tax Deduction Details**

| Field       | Description                                                 |
| :---------- | :---------------------------------------------------------- |
| type        | The deduction type (e.g., `miscellaneous`, `child_support`) |
| description | The name/description of the deduction                       |
| amount      | The deduction amount                                        |

**Item Records** (per-employee breakdown)

| Field         | Description                                                      |
| :------------ | :--------------------------------------------------------------- |
| payroll\_item | The public ID of the payroll item                                |
| employee      | The public ID of the employee                                    |
| totals        | Same structure as summary totals, but for this specific employee |

### Notes

* Results are grouped by payroll, with each payroll containing a `summary` and `item_records` array
* The `summary` contains aggregate totals across all employees for that payroll
* Each entry in `item_records` represents one employee's pay details for that payroll
* Use `include_taxable_wages=true` to include taxable wage information in the response
* Use `include_gross_taxable_wages=true` to include gross taxable wage information in the response
* Use `include_employee_id=true` to include employee IDs in the response
* Use `include_contractors=true` to include contractor payments in the results
* Use `include_contractor_id=true` to include contractor IDs in CSV exports (for example, a `Contractor ID` column)
* Use `group_by=workplace` to break down employee pay by workplace location
* Supports both JSON (`Accept: application/json`) and CSV (`Accept: text/csv`) response formats

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "check-api",
    "version": "2025-01-01"
  },
  "servers": [
    {
      "url": "https://sandbox.checkhq.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "x-bearer-format": "bearer",
        "x-default": "YOUR_API_KEY"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/companies/{company}/reports/payroll_journal": {
      "get": {
        "summary": "Get payroll journal",
        "description": "Returns the specified payroll journal.",
        "operationId": "get-payroll-journal",
        "parameters": [
          {
            "name": "company",
            "in": "path",
            "description": "ID of the company with the payroll journal to return",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "start",
            "in": "query",
            "description": "Return payrolls with a payday on or after this date.",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "name": "end",
            "in": "query",
            "description": "Return payrolls with a payday before or on this date.",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "name": "Accept",
            "in": "header",
            "description": "Either `application/json` or `text/csv`",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "payroll",
            "in": "query",
            "description": "Return the payroll with this ID. To specify multiple payrolls, repeat this query parameter. (For example: \"&payroll=pay_123&payroll=pay_456&...\")",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "include_taxable_wages",
            "in": "query",
            "description": "Return payrolls with taxable wages.",
            "schema": {
              "type": "boolean",
              "default": false
            }
          },
          {
            "in": "query",
            "name": "include_gross_taxable_wages",
            "schema": {
              "type": "boolean",
              "default": "false"
            },
            "description": "Return payrolls with gross taxable wages (wages subject to a tax before pre-tax deductions, irrespective of wage base)."
          },
          {
            "name": "include_employee_id",
            "in": "query",
            "description": "Return employees with their ID.",
            "schema": {
              "type": "boolean",
              "default": false
            }
          },
          {
            "name": "include_contractors",
            "in": "query",
            "description": "Return payments made to contractors on payrolls",
            "schema": {
              "type": "boolean",
              "default": false
            }
          },
          {
            "name": "include_contractor_id",
            "in": "query",
            "description": "Return contractors with their ID.",
            "schema": {
              "type": "boolean",
              "default": false
            }
          },
          {
            "name": "group_by",
            "in": "query",
            "description": "Determines how to breakdown pay. If `workplace` is provided, employees will have one line item per payroll and workplace combination.",
            "schema": {
              "type": "string",
              "enum": [
                "workplace"
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": {
                      "next": null,
                      "previous": null,
                      "results": [
                        {
                          "payroll": "pay_oOcg16KDmdljaqmitP00",
                          "company": "com_H4eYDq9imaA5Ur3qwKA0",
                          "payday": "2025-10-31",
                          "period_start": "2025-10-11",
                          "period_end": "2025-10-17",
                          "payment_method": "Manual",
                          "summary": {
                            "totals": {
                              "employee_gross": "1200.00",
                              "employee_reimbursements": "0.00",
                              "employee_net": "998.14",
                              "company_taxes": "121.80",
                              "employee_taxes": "201.86",
                              "company_benefits": "0.00",
                              "employee_benefits": "0.00",
                              "post_tax_deductions": "0.00"
                            },
                            "earning_totals": [
                              {
                                "type": "hourly",
                                "amount": "1200.00",
                                "hours": 40,
                                "piece_units": null
                              }
                            ],
                            "employee_taxes": [
                              {
                                "id": "tax_UJrIQbtVErbdez0bYTVN",
                                "description": "New York Paid Family Leave Insurance",
                                "amount": "4.66"
                              },
                              {
                                "id": "tax_I1Z9zqbBGWIbvlZpN2Vq",
                                "description": "New York SDI",
                                "amount": "0.60"
                              },
                              {
                                "id": "tax_S1krAkh75RzdWu5J53HA",
                                "description": "New York State Tax",
                                "amount": "0.00"
                              },
                              {
                                "id": "tax_ibU8cGhC5OlpOjoQFIXV",
                                "description": "Social Security Tax",
                                "amount": "74.40"
                              },
                              {
                                "id": "tax_8L3JLfsH4X6dp0maBWfW",
                                "description": "Federal Income Tax",
                                "amount": "104.80"
                              },
                              {
                                "id": "tax_1XHqR9Qf5t18SD2sfYEe",
                                "description": "Medicare",
                                "amount": "17.40"
                              },
                              {
                                "id": "tax_9JU4EupBW2RlHTTUynKg",
                                "description": "Additional Medicare",
                                "amount": "0.00"
                              }
                            ],
                            "company_taxes": [
                              {
                                "id": "tax_yoCLGjynONf4xRcpqDv3",
                                "description": "New York MCTMT Employer Payroll Tax",
                                "amount": "0.00"
                              },
                              {
                                "id": "tax_WYoSamj4XK46IwarorXn",
                                "description": "New York State Unemployment Tax",
                                "amount": "30.00"
                              },
                              {
                                "id": "tax_2s2wmMxqzCz1ARWTRaHk",
                                "description": "New York Reemployment Fund",
                                "amount": "0.00"
                              },
                              {
                                "id": "tax_ImvSF9CTuMdokf0uwx5x",
                                "description": "Employer Social Security Tax",
                                "amount": "74.40"
                              },
                              {
                                "id": "tax_u4DzMCYXAUL6OfcgPeyg",
                                "description": "Federal Unemployment Tax",
                                "amount": "0.00"
                              },
                              {
                                "id": "tax_O3f21hkS1cvHBZTa61BO",
                                "description": "Employer Medicare Tax",
                                "amount": "17.40"
                              }
                            ],
                            "employee_benefits": [],
                            "company_benefits": [],
                            "post_tax_deductions": []
                          },
                          "item_records": [
                            {
                              "totals": {
                                "employee_gross": "1200.00",
                                "employee_reimbursements": "0.00",
                                "employee_net": "998.14",
                                "company_taxes": "121.80",
                                "employee_taxes": "201.86",
                                "company_benefits": "0.00",
                                "employee_benefits": "0.00",
                                "post_tax_deductions": "0.00"
                              },
                              "earning_totals": [
                                {
                                  "type": "hourly",
                                  "amount": "1200.00",
                                  "hours": 40,
                                  "piece_units": null
                                }
                              ],
                              "employee_taxes": [
                                {
                                  "id": "tax_UJrIQbtVErbdez0bYTVN",
                                  "description": "New York Paid Family Leave Insurance",
                                  "amount": "4.66"
                                },
                                {
                                  "id": "tax_I1Z9zqbBGWIbvlZpN2Vq",
                                  "description": "New York SDI",
                                  "amount": "0.60"
                                },
                                {
                                  "id": "tax_S1krAkh75RzdWu5J53HA",
                                  "description": "New York State Tax",
                                  "amount": "0.00"
                                },
                                {
                                  "id": "tax_ibU8cGhC5OlpOjoQFIXV",
                                  "description": "Social Security Tax",
                                  "amount": "74.40"
                                },
                                {
                                  "id": "tax_8L3JLfsH4X6dp0maBWfW",
                                  "description": "Federal Income Tax",
                                  "amount": "104.80"
                                },
                                {
                                  "id": "tax_1XHqR9Qf5t18SD2sfYEe",
                                  "description": "Medicare",
                                  "amount": "17.40"
                                },
                                {
                                  "id": "tax_9JU4EupBW2RlHTTUynKg",
                                  "description": "Additional Medicare",
                                  "amount": "0.00"
                                }
                              ],
                              "company_taxes": [
                                {
                                  "id": "tax_yoCLGjynONf4xRcpqDv3",
                                  "description": "New York MCTMT Employer Payroll Tax",
                                  "amount": "0.00"
                                },
                                {
                                  "id": "tax_WYoSamj4XK46IwarorXn",
                                  "description": "New York State Unemployment Tax",
                                  "amount": "30.00"
                                },
                                {
                                  "id": "tax_2s2wmMxqzCz1ARWTRaHk",
                                  "description": "New York Reemployment Fund",
                                  "amount": "0.00"
                                },
                                {
                                  "id": "tax_ImvSF9CTuMdokf0uwx5x",
                                  "description": "Employer Social Security Tax",
                                  "amount": "74.40"
                                },
                                {
                                  "id": "tax_u4DzMCYXAUL6OfcgPeyg",
                                  "description": "Federal Unemployment Tax",
                                  "amount": "0.00"
                                },
                                {
                                  "id": "tax_O3f21hkS1cvHBZTa61BO",
                                  "description": "Employer Medicare Tax",
                                  "amount": "17.40"
                                }
                              ],
                              "employee_benefits": [],
                              "company_benefits": [],
                              "post_tax_deductions": [],
                              "payroll_item": "itm_v9DWDXMGt9YyzWfM58dv",
                              "employee": "emp_VBTzt5oVdR31wDXGb1o2"
                            }
                          ]
                        },
                        {
                          "payroll": "pay_UGEkMa96XflmHTx5B9z3",
                          "company": "com_H4eYDq9imaA5Ur3qwKA0",
                          "payday": "2025-10-31",
                          "period_start": "2025-10-01",
                          "period_end": "2025-10-28",
                          "payment_method": "Direct Deposit",
                          "summary": {
                            "totals": {
                              "employee_gross": "1200.00",
                              "employee_reimbursements": "0.00",
                              "employee_net": "1023.70",
                              "company_taxes": "121.04",
                              "employee_taxes": "161.30",
                              "company_benefits": "10.00",
                              "employee_benefits": "10.00",
                              "post_tax_deductions": "5.00"
                            },
                            "earning_totals": [
                              {
                                "type": "hourly",
                                "amount": "1200.00",
                                "hours": 40,
                                "piece_units": null
                              }
                            ],
                            "employee_taxes": [
                              {
                                "id": "tax_UJrIQbtVErbdez0bYTVN",
                                "description": "New York Paid Family Leave Insurance",
                                "amount": "4.66"
                              },
                              {
                                "id": "tax_I1Z9zqbBGWIbvlZpN2Vq",
                                "description": "New York SDI",
                                "amount": "1.20"
                              },
                              {
                                "id": "tax_S1krAkh75RzdWu5J53HA",
                                "description": "New York State Tax",
                                "amount": "0.00"
                              },
                              {
                                "id": "tax_ibU8cGhC5OlpOjoQFIXV",
                                "description": "Social Security Tax",
                                "amount": "73.78"
                              },
                              {
                                "id": "tax_8L3JLfsH4X6dp0maBWfW",
                                "description": "Federal Income Tax",
                                "amount": "64.40"
                              },
                              {
                                "id": "tax_1XHqR9Qf5t18SD2sfYEe",
                                "description": "Medicare",
                                "amount": "17.26"
                              },
                              {
                                "id": "tax_9JU4EupBW2RlHTTUynKg",
                                "description": "Additional Medicare",
                                "amount": "0.00"
                              }
                            ],
                            "company_taxes": [
                              {
                                "id": "tax_yoCLGjynONf4xRcpqDv3",
                                "description": "New York MCTMT Employer Payroll Tax",
                                "amount": "0.00"
                              },
                              {
                                "id": "tax_WYoSamj4XK46IwarorXn",
                                "description": "New York State Unemployment Tax",
                                "amount": "30.00"
                              },
                              {
                                "id": "tax_2s2wmMxqzCz1ARWTRaHk",
                                "description": "New York Reemployment Fund",
                                "amount": "0.00"
                              },
                              {
                                "id": "tax_ImvSF9CTuMdokf0uwx5x",
                                "description": "Employer Social Security Tax",
                                "amount": "73.78"
                              },
                              {
                                "id": "tax_u4DzMCYXAUL6OfcgPeyg",
                                "description": "Federal Unemployment Tax",
                                "amount": "0.00"
                              },
                              {
                                "id": "tax_O3f21hkS1cvHBZTa61BO",
                                "description": "Employer Medicare Tax",
                                "amount": "17.26"
                              }
                            ],
                            "employee_benefits": [
                              {
                                "type": "125_medical",
                                "description": "Test Benefit",
                                "amount": "10.00"
                              }
                            ],
                            "company_benefits": [
                              {
                                "type": "125_medical",
                                "description": "Test Benefit",
                                "amount": "10.00"
                              }
                            ],
                            "post_tax_deductions": [
                              {
                                "type": "miscellaneous",
                                "description": "Test Deduction",
                                "amount": "5.00"
                              }
                            ]
                          },
                          "item_records": [
                            {
                              "totals": {
                                "employee_gross": "1200.00",
                                "employee_reimbursements": "0.00",
                                "employee_net": "1023.70",
                                "company_taxes": "121.04",
                                "employee_taxes": "161.30",
                                "company_benefits": "10.00",
                                "employee_benefits": "10.00",
                                "post_tax_deductions": "5.00"
                              },
                              "earning_totals": [
                                {
                                  "type": "hourly",
                                  "amount": "1200.00",
                                  "hours": 40,
                                  "piece_units": null
                                }
                              ],
                              "employee_taxes": [
                                {
                                  "id": "tax_UJrIQbtVErbdez0bYTVN",
                                  "description": "New York Paid Family Leave Insurance",
                                  "amount": "4.66"
                                },
                                {
                                  "id": "tax_I1Z9zqbBGWIbvlZpN2Vq",
                                  "description": "New York SDI",
                                  "amount": "1.20"
                                },
                                {
                                  "id": "tax_S1krAkh75RzdWu5J53HA",
                                  "description": "New York State Tax",
                                  "amount": "0.00"
                                },
                                {
                                  "id": "tax_ibU8cGhC5OlpOjoQFIXV",
                                  "description": "Social Security Tax",
                                  "amount": "73.78"
                                },
                                {
                                  "id": "tax_8L3JLfsH4X6dp0maBWfW",
                                  "description": "Federal Income Tax",
                                  "amount": "64.40"
                                },
                                {
                                  "id": "tax_1XHqR9Qf5t18SD2sfYEe",
                                  "description": "Medicare",
                                  "amount": "17.26"
                                },
                                {
                                  "id": "tax_9JU4EupBW2RlHTTUynKg",
                                  "description": "Additional Medicare",
                                  "amount": "0.00"
                                }
                              ],
                              "company_taxes": [
                                {
                                  "id": "tax_yoCLGjynONf4xRcpqDv3",
                                  "description": "New York MCTMT Employer Payroll Tax",
                                  "amount": "0.00"
                                },
                                {
                                  "id": "tax_WYoSamj4XK46IwarorXn",
                                  "description": "New York State Unemployment Tax",
                                  "amount": "30.00"
                                },
                                {
                                  "id": "tax_2s2wmMxqzCz1ARWTRaHk",
                                  "description": "New York Reemployment Fund",
                                  "amount": "0.00"
                                },
                                {
                                  "id": "tax_ImvSF9CTuMdokf0uwx5x",
                                  "description": "Employer Social Security Tax",
                                  "amount": "73.78"
                                },
                                {
                                  "id": "tax_u4DzMCYXAUL6OfcgPeyg",
                                  "description": "Federal Unemployment Tax",
                                  "amount": "0.00"
                                },
                                {
                                  "id": "tax_O3f21hkS1cvHBZTa61BO",
                                  "description": "Employer Medicare Tax",
                                  "amount": "17.26"
                                }
                              ],
                              "employee_benefits": [
                                {
                                  "type": "125_medical",
                                  "description": "Test Benefit",
                                  "amount": "10.00"
                                }
                              ],
                              "company_benefits": [
                                {
                                  "type": "125_medical",
                                  "description": "Test Benefit",
                                  "amount": "10.00"
                                }
                              ],
                              "post_tax_deductions": [
                                {
                                  "type": "miscellaneous",
                                  "description": "Test Deduction",
                                  "amount": "5.00"
                                }
                              ],
                              "payroll_item": "itm_hqvMGHoDsPvd7Ry0TM88",
                              "employee": "emp_VBTzt5oVdR31wDXGb1o2"
                            }
                          ]
                        }
                      ]
                    }
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "next": {
                      "type": "string"
                    },
                    "previous": {
                      "type": "string"
                    },
                    "results": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "payroll": {
                            "type": "string",
                            "example": "pay_oOcg16KDmdljaqmitP00"
                          },
                          "company": {
                            "type": "string",
                            "example": "com_H4eYDq9imaA5Ur3qwKA0"
                          },
                          "payday": {
                            "type": "string",
                            "example": "2025-10-31"
                          },
                          "period_start": {
                            "type": "string",
                            "example": "2025-10-11"
                          },
                          "period_end": {
                            "type": "string",
                            "example": "2025-10-17"
                          },
                          "payment_method": {
                            "type": "string",
                            "example": "Manual"
                          },
                          "summary": {
                            "type": "object",
                            "properties": {
                              "totals": {
                                "type": "object",
                                "properties": {
                                  "employee_gross": {
                                    "type": "string",
                                    "example": "1200.00"
                                  },
                                  "employee_reimbursements": {
                                    "type": "string",
                                    "example": "0.00"
                                  },
                                  "employee_net": {
                                    "type": "string",
                                    "example": "998.14"
                                  },
                                  "company_taxes": {
                                    "type": "string",
                                    "example": "121.80"
                                  },
                                  "employee_taxes": {
                                    "type": "string",
                                    "example": "201.86"
                                  },
                                  "company_benefits": {
                                    "type": "string",
                                    "example": "0.00"
                                  },
                                  "employee_benefits": {
                                    "type": "string",
                                    "example": "0.00"
                                  },
                                  "post_tax_deductions": {
                                    "type": "string",
                                    "example": "0.00"
                                  }
                                }
                              },
                              "earning_totals": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "type": {
                                      "type": "string",
                                      "example": "hourly"
                                    },
                                    "amount": {
                                      "type": "string",
                                      "example": "1200.00"
                                    },
                                    "hours": {
                                      "type": "number",
                                      "example": 40,
                                      "default": 0,
                                      "format": "float"
                                    },
                                    "piece_units": {
                                      "type": "string"
                                    }
                                  }
                                }
                              },
                              "employee_taxes": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "id": {
                                      "type": "string",
                                      "example": "tax_UJrIQbtVErbdez0bYTVN"
                                    },
                                    "description": {
                                      "type": "string",
                                      "example": "New York Paid Family Leave Insurance"
                                    },
                                    "amount": {
                                      "type": "string",
                                      "example": "4.66"
                                    }
                                  }
                                }
                              },
                              "company_taxes": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "id": {
                                      "type": "string",
                                      "example": "tax_yoCLGjynONf4xRcpqDv3"
                                    },
                                    "description": {
                                      "type": "string",
                                      "example": "New York MCTMT Employer Payroll Tax"
                                    },
                                    "amount": {
                                      "type": "string",
                                      "example": "0.00"
                                    }
                                  }
                                }
                              },
                              "employee_benefits": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {}
                                }
                              },
                              "company_benefits": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {}
                                }
                              },
                              "post_tax_deductions": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {}
                                }
                              }
                            }
                          },
                          "item_records": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "totals": {
                                  "type": "object",
                                  "properties": {
                                    "employee_gross": {
                                      "type": "string",
                                      "example": "1200.00"
                                    },
                                    "employee_reimbursements": {
                                      "type": "string",
                                      "example": "0.00"
                                    },
                                    "employee_net": {
                                      "type": "string",
                                      "example": "998.14"
                                    },
                                    "company_taxes": {
                                      "type": "string",
                                      "example": "121.80"
                                    },
                                    "employee_taxes": {
                                      "type": "string",
                                      "example": "201.86"
                                    },
                                    "company_benefits": {
                                      "type": "string",
                                      "example": "0.00"
                                    },
                                    "employee_benefits": {
                                      "type": "string",
                                      "example": "0.00"
                                    },
                                    "post_tax_deductions": {
                                      "type": "string",
                                      "example": "0.00"
                                    }
                                  }
                                },
                                "earning_totals": {
                                  "type": "array",
                                  "items": {
                                    "type": "object",
                                    "properties": {
                                      "type": {
                                        "type": "string",
                                        "example": "hourly"
                                      },
                                      "amount": {
                                        "type": "string",
                                        "example": "1200.00"
                                      },
                                      "hours": {
                                        "type": "number",
                                        "example": 40,
                                        "default": 0,
                                        "format": "float"
                                      },
                                      "piece_units": {
                                        "type": "string"
                                      }
                                    }
                                  }
                                },
                                "employee_taxes": {
                                  "type": "array",
                                  "items": {
                                    "type": "object",
                                    "properties": {
                                      "id": {
                                        "type": "string",
                                        "example": "tax_UJrIQbtVErbdez0bYTVN"
                                      },
                                      "description": {
                                        "type": "string",
                                        "example": "New York Paid Family Leave Insurance"
                                      },
                                      "amount": {
                                        "type": "string",
                                        "example": "4.66"
                                      }
                                    }
                                  }
                                },
                                "company_taxes": {
                                  "type": "array",
                                  "items": {
                                    "type": "object",
                                    "properties": {
                                      "id": {
                                        "type": "string",
                                        "example": "tax_yoCLGjynONf4xRcpqDv3"
                                      },
                                      "description": {
                                        "type": "string",
                                        "example": "New York MCTMT Employer Payroll Tax"
                                      },
                                      "amount": {
                                        "type": "string",
                                        "example": "0.00"
                                      }
                                    }
                                  }
                                },
                                "employee_benefits": {
                                  "type": "array",
                                  "items": {
                                    "type": "object",
                                    "properties": {}
                                  }
                                },
                                "company_benefits": {
                                  "type": "array",
                                  "items": {
                                    "type": "object",
                                    "properties": {}
                                  }
                                },
                                "post_tax_deductions": {
                                  "type": "array",
                                  "items": {
                                    "type": "object",
                                    "properties": {}
                                  }
                                },
                                "payroll_item": {
                                  "type": "string",
                                  "example": "itm_v9DWDXMGt9YyzWfM58dv"
                                },
                                "employee": {
                                  "type": "string",
                                  "example": "emp_VBTzt5oVdR31wDXGb1o2"
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```